Summary:	LPRngTool - printer configuration, monitoring and management utility with GUI for LPRng
Summary(pl.UTF-8):	LPRngTool - narzędziem do monitorowania i zarządzania systemem druku LPRng
Name:		LPRngTool
Version:	1.3.2
Release:	5
License:	GPL v2
Group:		Applications/Publishing
Source0:	http://www.lprng.com/DISTRIB/LPRngTool/%{name}-%{version}.tgz
# Source0-md5:	964bb358dbe140c7be5ebbdf0eecf64a
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-ac_fixes.patch
URL:		http://www.lprng.com/LPRngTool.html
BuildRequires:	autoconf
BuildRequires:	automake
Requires:	LPRng >= 3.7
Requires:	ghostscript
Requires:	ifhp >= 3.4
Requires:	tcl >= 8.3
Requires:	tk >= 8.3
# or mpage, selectable at configure time (see configure)
Suggests:	a2ps
Suggests:	samba-client
# ncpfs (/usr/bin/nprint) for Netware printing, but it's probably too legacy to suggest these days
# pap? (see configure)
Obsoletes:	printtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		lpfiltersdir	%{_libexecdir}/lpfilters

%description
LPRngTool is a printer configuration and print queue monitoring and
management utility with a graphical user interface. LPRngTool is
similar to Red Hat's 'printtool', but includes most of the additional
functions of LPRng (including printer pooling, printer redirection,
job accounting, etc), and the 'lpc' facilities for local and remote
queue management and monitoring. LPRngTool works with SMB, Windows, HP
JetDirect, locally-attached, and unfiltered printers and print queues.

%description -l pl.UTF-8
LPRngTool to narzędzie do konfiguracji drukarki, monitorowania i
zarządzania kolejką wydruku z graficznym interfejsem użytkownika. Jest
podobne do RedHatowego printtoola, ale zwiera większość dodatkowych
funkcji LPRng (w tym przekierowanie drukarek, przydzielanie prac
itp.), oraz udogodnienia lpc do monitorowania i zarządzania lokalnymi
oraz zdalnymi kolejkami. LPRngTool działa z drukarkami i kolejkami
SMB, Windows, HP JetDirect, lokalnie podłączonymi i niefiltrowanymi.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
cp -f /usr/share/automake/config.sub .
%configure \
	A2PS=/usr/bin/a2ps \
	GS=/usr/bin/gs \
	NPRINT=/usr/bin/nprint \
	SMBCLIENT=/usr/bin/smbclient \
	WITH=/usr/bin/wish \
	--with-filterdir=%{lpfiltersdir} \
	--with-ifhp_path=%{lpfiltersdir} \
	--with-gsupdir=%{_datadir}/ghostscript \
	--with-lprngtool_conf=%{_sysconfdir}/lprngtool.conf \
	--with-printcap_path=%{_sysconfdir}/printcap \
	--with-spool_directory=/var/spool/lpd  \
	--with-groupid=lp \
	--with-userid=lp
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_filterdir}} \
	$RPM_BUILD_ROOT{%{_sysconfdir},%{_mandir},%{_mandir}/man1} \
	$RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES
%attr(755,root,root) %{_bindir}/lprngtool
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lprngtool.conf
%{_sysconfdir}/lprngtool.conf.sample
%dir %{lpfiltersdir}
%attr(755,root,root) %{lpfiltersdir}/atalkprint
%attr(755,root,root) %{lpfiltersdir}/ncpprint
%attr(755,root,root) %{lpfiltersdir}/smbprint
%{lpfiltersdir}/printerdb
%{lpfiltersdir}/testpage*
%{_desktopdir}/LPRngTool.desktop
%{_pixmapsdir}/LPRngTool.png
%{_mandir}/man1/lprngtool.1*
%changelog
* Sun Nov 18 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/LPRngTool.git;a=log;h=master

* Sun Nov 18 2018 Jakub Bogusz <qboosh@pld-linux.org> 277ff6c
- follow upstream, use _libexecdir for lpfilters; release 5

* Sat Nov 17 2018 Jakub Bogusz <qboosh@pld-linux.org> e9b2724
- ifhp uses the same lpfilters dir as LPRng

* Sat Nov 17 2018 Jakub Bogusz <qboosh@pld-linux.org> 2987f59
- verbose files, don't buildrequire a2ps, gs, samba-client just for detection

* Fri Nov 16 2018 Jakub Bogusz <qboosh@pld-linux.org> 25f8b6e
- updated Source0 URL

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 0c6f060
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 95793e6
- tabs in preamle

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ed9239f
- converted to UTF-8

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> f1ce906
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

* Sun Jul 04 2004 havner <havner@pld-linux.org> 97bb5e8
- wrrr

* Sun Jul 04 2004 havner <havner@pld-linux.org> d6ca0f0
- categories

* Sun Nov 23 2003 Tomasz Pala <gotar@pld-linux.org> 0728330
- s/^Terminal=0/Terminal=false/ s/^Terminal=1/Terminal=true/ to conform
  freedesktop.org desktop-entry specification

* Sun Nov 23 2003 Tomasz Pala <gotar@pld-linux.org> d20684b
- added Encoding=UTF-8 (field required by freedesktop.org desktop-entry specification)

* Wed Oct 01 2003 Mariusz Mazur <mmazur@pld-linux.org> f818079
- I hate doing this but rel 3 so I can send it to builders again (crap)

* Tue Sep 30 2003 undefine <undefine@pld-linux.org> 9b8e280
- copy config.sub from automake to allow build on athlon

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 85a4c00
- mass commit: cosmetics (removed trailing white spaces)

* Sun Jul 06 2003 Paweł Gołaszewski <blues@pld-linux.org> a60fd28
- many small fixes, mostly inpired by kloczek

* Mon May 26 2003 Michal Moskal <michal@moskal.me> fa49c7d
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 8a5f16d
- massive attack s/pld.org.pl/pld-linux.org/

* Sat Jan 18 2003 juandon <witekfl@pld-linux.org> a2c7d2d
- removed two lines with define

* Wed Oct 09 2002 kloczek <kloczek@pld-linux.org> b47a783
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

